#!/bin/sh
#  this script checks the amount of free memory available
#  if amount is less than minmem (default to 1M)
#  return 1, if there is plenty of mem return 0

minmem=1000

memfree=`grep MemFree /proc/meminfo | awk {'print $2'}`

memlow=`expr $minmem \> $memfree`

exit $memlow
