#!/bin/sh

mylist=`cat $1`   # this is a list of rpms without version numbers 
distrodir=$2
ls $distrodir > tmp/tmp.list     # this is where the rpms are (ie. /mnt/cdrom/RedHat/RPMS )


rm -f tmp/rpm.list
for i in $mylist
do
   file=`sed -n /^$i/p tmp/tmp.list`
   if [ $? -a "$file" ]; then
      echo "$distrodir$file" >> tmp/rpm.list
   else
      echo "Warning: could not find rpm: $i"
   fi
done
