#!/bin/sh

# post_install_RPMS.sh
# this script installs any rpms that need to be installed after the regular
# list of rpms have been installed for a specific distribution

BOOT_DIR=$1

rpm -U --ignorearch --root $BOOT_DIR --force --nodeps --excludedocs $cdrom/TurboLinux/RPMS/XFree86-xaw-*.rpm >> tmp/rpm.log 2>&1

rpm -U --ignorearch --root $BOOT_DIR --force --nodeps --excludedocs $cdrom/TurboLinux/RPMS/turboprintcfg-2.0.*.rpm >> tmp/rpm.log 2>&1

rpm -U --ignorearch --root $BOOT_DIR --force --nodeps --excludedocs $cdrom/TurboLinux/RPMS/openmotif-2*.rpm >> tmp/rpm.log 2>&1


# install Netscape Navigator so it can be used in flash
# this is a pain but the only way I could figure out how to do this for now....

FLASH_DIR=$BOOT_DIR/IBM/Custom/Flash

mkdir -p $FLASH_DIR/var/lib/rpm

rpm -U --ignorearch --root $FLASH_DIR --force --nodeps --excludedocs $cdrom/TurboLinux/RPMS/netscape-navigator-4.7*.rpm >> tmp/rpm.log 2>&1


# blow away rpm database stuff
rm -Rf $FLASH_DIR/var

# tmp fix to remove gdm Defaults file
rm -f $BOOT_DIR/etc/gdm/Sessions/Default
