#!/bin/sh

BOOT_DIR=$1

# need to update the database with the kernel
rpm -U --ignorearch --justdb --force --nodeps --root $BOOT_DIR $cdrom/TurboLinux/RPMS/kernel-2.2*.i386.rpm > /dev/null 2>&1

# must force install bash because there is a loop between bash and info
rpm -U --ignorearch --force --nodeps --root $BOOT_DIR $cdrom/TurboLinux/RPMS/bash-2.03*.rpm  > /dev/null 2>&1

# Xaw3d also installs libXaw as the same lib as libXaw3d... this is bad....
# libXaw should be taken care of by the XFree-libs rpm
rpm -U --ignorearch --force --nodeps --root $BOOT_DIR $cdrom/TurboLinux/RPMS/Xaw3d-1.*.rpm > /dev/null 2>&1


rpm -U --ignorearch --force --nodeps --root $BOOT_DIR $cdrom/TurboLinux/RPMS/rwho-0.16*.rpm > /dev/null 2>&1

rpm -U --ignorearch --force --nodeps --root $BOOT_DIR $cdrom/TurboLinux/RPMS/ruptime-5*.rpm > /dev/null 2>&1

rpm -U --ignorearch --force --nodeps --root $BOOT_DIR $cdrom/TurboLinux/RPMS/gdk-pixbuf-0*.rpm > /dev/null 2>&1

rpm -U --ignorearch --force --nodeps --root $BOOT_DIR $cdrom/TurboLinux/RPMS/icewm-1.*rpm > /dev/null 2>&1
